## gkrellmitime 1.0.1

=== Makefile ===
# Modify INCLUDE to point to gkrellm.h (if it's not in /usr/local/include)
INCLUDE	= /usr/local/include

CC	= gcc
CFLAGS	= -Wall -Wimplicit -Wreturn-type -Wunused -Wswitch              \
	  -Wcomment-Wparentheses -Wtraditional -Wpointer-arith          \
	  -Wmissing-prototypes -O2 -fPIC -I$(INCLUDE)                   \
	  `pkg-config gtk+-2.0 --cflags`
LDFLAGS	=
TARGET	= gkrellm_itime



$(TARGET).so: $(TARGET).o
	$(CC) -shared -Wl `pkg-config gtk+-2.0 --libs` $< -o $@

$(TARGET).o: $(TARGET).c
	$(CC) $(CFLAGS) -c $<

$(TARGET): $(TARGET).c
	$(CC) $(CFLAGS) $< -o $@

install:
	if [ -d /usr/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellm_itime.so /usr/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/share/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellm_itime.so /usr/share/gkrellm/plugins/ ; \
	elif [ -d /usr/local/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellm_itime.so /usr/local/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 gkrellm_itime.so /usr/lib/gkrellm/plugins/ ; \
	else \
		install -D -c -s -m 644 gkrellm_itime.so /usr/lib/gkrellm/plugins/gkrellm_itime.so; \
	fi

uninstall:
	rm -f /usr/lib/gkrellm/plugins/gkrellm_itime.so
	rm -f /usr/share/gkrellm/plugins/gkrellm_itime.so
	rm -f /usr/local/lib/gkrellm/plugins/gkrellm_itime.so
	rm -f /usr/lib/gkrellm/plugins/gkrellm_itime.so

clean:
	rm -f *.o *~ *.so core

=== debian/changelog ===
gkrellmitime (1.0.1-6) unstable; urgency=low

  * QA upload.
  * Convert to source format 3.0 (quilt).
  * Convert to dh-style packaging and bump compatibility level to 10.
    - also enable all hardening options
  * Bump Standards-Version to 3.9.8.
  * Convert debian/copyright to DEP5.
  * Fix another spelling error found by lintian.
  * Add lintian overrides for no-homepage-field and
    debian-watch-file-is-missing, as upstream homepage is dead.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 20 Nov 2016 16:04:02 +0100

gkrellmitime (1.0.1-5) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #619743).
  * Fix "ftbfs with GCC-4.7": apply patch from Paul Tagliamonte
    (remove stray "-Wl"). Closes: #667180
  * Packaging improvements:
    - debian/control:
      + build-depend on debehlper >= 7
      + add ${misc:Depends} to Depends
    - debian/rules:
      + add build-arch build-indep targets
      + use dh_prep

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2012 15:15:30 +0200

gkrellmitime (1.0.1-4) unstable; urgency=low

  * Avoid useless legacy gdk-imlib-dev dependency. Closes: #508615.
  * Upstream version has vanished, so debian/watch has been removed.
    Closes: #450170.
  * Bump Standards-Version to 3.8.0.1. No changes needed.
  * Fix 3 minor lintian issues.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Wed, 17 Dec 2008 17:08:40 +0100

gkrellmitime (1.0.1-3) unstable; urgency=low

  * Added binary-indep target to rules. Closes: 395718.
  * Bump Standards-Version to 3.7.2 (no changes needed).
  * Update FSF address.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat,  3 Mar 2007 12:47:33 +0100

gkrellmitime (1.0.1-2) unstable; urgency=low

  * Section misc fits better than x11.
  * Added watch file to debian dir.

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Mon, 30 Aug 2004 19:33:18 +0200

gkrellmitime (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Fri, 23 Jan 2004 18:59:37 +0100

gkrellmitime (1.0-4) unstable; urgency=low

  * Added versioned Build-Depend on debhelper 4
  * Correct maintainer name in ChangeLog file

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Mon, 13 Oct 2003 20:47:20 +0200

gkrellmitime (1.0-3) unstable; urgency=low

  * Bumped Standards-Version: to 3.6.1.
  * Just ASCII characters in debian/control
  * Change maintainer email address

 -- Juan Manuel Garcia Molina <juanma@debian.org>  Sat,  6 Sep 2003 12:13:56 +0200

gkrellmitime (1.0-2) unstable; urgency=low

  * debian/rules: Added -fPIC option to CFLAGS (Closes: #182110).
  * debian/rules: Clean useless targets.
  * debian/rules: Use DH_COMPAT=4.
  * Move DEB_BUILD_OPTIONS parsing from Makefile to debian/rules.
  * Bumped Standards-Version to 8.5.9.

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Wed, 23 Apr 2003 17:21:43 +0200

gkrellmitime (1.0-1) unstable; urgency=low

  * Upstream version: 1.0.
  * Makefile: place the plugin in /usr/lib/gkrellm2/plugins.
  * Review and rewrite description.

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Sun, 26 Jan 2003 23:42:57 +0100

gkrellmitime (0.5.1-2) unstable; urgency=low

  * debian/control: Description is much descriptive now. Thanks to
    Christian Kurz for nice suggestions (Closes: #172682).
  * Standards-Version: 3.5.8

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Thu,  2 Jan 2003 01:01:30 +0100

gkrellmitime (0.5.1-1) unstable; urgency=low

  * New upstream version:
    - Added i18n support.
    - Bugfixes.
  * gkrellmitime is packaged! (Closes: #156773).
  * Upstream author's email has changed.
  * debian/control: Fix a typo in package description.
  * Makefile: support for DEB_BUILD_OPTIONS
  * debian/control: policy updated to 3.5.8.0
  * debian/control: Fix Build-Depends and Depends fields.
  * debian/{control,rules}: Use shlibdeps in order to generate a better
    Depends.
  * debian/control: Uses gdk-imlib1-devel instead of gdk-imlib-devel
    (thanks to Martin WÃÂÃÂ¼ertele).
  * Makefile: Install plugin under /usr/lib/gkrellm/plugins/.
  * debian/rules: Avoid empty directory creation under
    /usr/share/gkrellmitime/plugins.

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Mon,  9 Dec 2002 09:59:27 +0100

gkrellmitime (0.4-2) experimental; urgency=low

  * [debian/control] Update Build-Depends versions of debhelper and
    gkrellm.
  * [debian/{control,rules}] This packages just depends on libc6 (there
    is no need to calculate shlibs.
  * [debian/control] Added gkrellm to Depends.
  * [gkrellm_itime.c] Patched to avoid gtk-critical assertion failed.

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Tue, 13 Aug 2002 20:59:44 +0200

gkrellmitime (0.4-1) experimental; urgency=low

  * Initial Release.
  * Makefile now installs dinamically, not statically.
  * Added versions to Build-Depend: packages (debian/control).

 -- Juan Manuel Garcia Molina <juanma_gm@wanadoo.es>  Sat, 13 Jul 2002 19:37:15 +0200

=== debian/control ===
Source: gkrellmitime
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10), gkrellm (>= 2), pkg-config, libgtk2.0-dev
Standards-Version: 3.9.8

Package: gkrellmitime
Architecture: any
Depends: gkrellm (>= 2), ${shlibs:Depends}, ${misc:Depends}
Description: Internet time plugin for gkrellm
 Gkrellm Itime is the internet time plugin for Gkrellm.
 .
 Internet time is a concept by Swatch that divides the virtual and real
 day into 1000 "beats".  A beat is 1 minute and 26.4 seconds long. This is
 a global concept, therefore no timezones are needed.
 .
 Swatch created a new meridian in Biel, Switzerland, the home of the
 company.  This meridian is called Biel Mean Time (BMT) and will be the
 universal reference for the Internet time.
 .
 The internet time is represented with an "@" before the number of beats.
 A day in the internet time begins at midnight BMT (@000) in Central Europe
 wintertime, and 12 o'clock noon in Biel, Switzerland, happens at @500 BMT.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- INCLUDEDIR=/usr/include:/usr/include/gkrellm PREFIX=/usr

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/gkrellmitime/usr
